+++
title = "Warcraft 3 on MAC with wineskin"
date = 2013-08-10
+++

A few days ago, I bought Warcraft III. I never finished it before, since I
didn't own the game, and lately I had this inner urge to play a game on the
Warcraft series. Since going back to World of Warcraft isn't an option, I
decided to rollback to the part of the Warcraft lore that is unknown to me.

Sadly after buying the game I discovered that they dropped support for the
game when Apple did the conversion of their hardware from powerpc to intel.
There was no way of running the mac version of the game on newer hardware, and
I even contacted Blizzard support about the matter, but the answer was the one
I feared: I had to use wine. This reminded me of the old days when I was a
linux user and this was needed in order to play anything on linux.

![](wineskin.png)

## Installing the needed software

First of all, you will need to download
[Wineskin](http://wineskin.urgesoftware.com/tiki-
index.php?page=Wineskin%2C+Play+your+favorite+Windows+games+on+Mac+OS+X+without+needing+Microsoft+Windows),
as we're going to use this to "emulate" our windows environment. Also,
download the windows warcraft downloaders from your battle.net account.

Execute it and download the last engine (clicking on the plus symbol) and also
update the wrapper.

You should see your wineskin window similar to the one on the left.

Now you need to create a clean wrapper for your Warcraft III installation.

## Creating the wrapper

Just click on the "Create New Blank Wrapper" button and give it a name. I will
go with "Warcraft III.app". It will ask you to install some mono/gecko
libraries needed for the wrapper. Just go with it and wait until all the
process finishes.

You will be prompted if you want to open the containing folder, do it since
now we need to configure our wrapper.

Now, right click the app you created and select "Show package contents".

Execute Wineskin.app, and select "Install software", on the next panel select
"Select setup executable" and go to the path of your warcraft 3 downloader,
that will prompt the installation menu when it finishes.

Install your warcraft as you would in a windows machine, and when you exit the
installer wineskin will ask for the main executable file, select "Warcraft
III.exe". After that, repeat the process with the Frozen Throne executable.

## Configuration

We need to tweak some things before we can play, here's what I did:

  * Go to set screen options and set windowed. Since I have a 16:9 screen and the game runs at 4:3, everything is streched. Maybe there's a 16:9 patch around the net.
  * I customized the icon with [this one](http://icons.iconarchive.com/icons/3xhumed/mega-games-pack-36/256/Warcraft-3-Reign-of-Chaos-5-icon.png). You need to convert it to ICNS for using it with wineskin (you can use [this online tool](http://iconverticons.com/online/)). Copy it into the package and select on the advanced options in the wineskin executable.
  * If you want to play with the frozen throne expansion, change the Windows EXE on the advanced settings panel to "Frozen Throne.exe".
  * Since wine can't play the cinematics, you can safely remove/rename the movies folder under the warcraft installation folder. (Default: `drive_c/Program Files/Warcraft III`)
  * Delete the game installers if you stored them into the wineskin package to keep the .app file size to a minimum.

## Enjoy!

![](game.png)

It's done! Store the Warcraft III.app somewhere if you don't want to repeat
the process if you delete the game.

### Updates:

  * Using the -opengl EXE flag will get you a smoother framerate. (thanks to **Sylvain Prevost** in the comments)
  * Suggested engine: WS9Wine1.7.2. (by **Sylvain Prevost** in the comments)